Saved visuals endpoints
Get a saved visual
GET
/
api
/
v2
/
saved_visuals
/
{id}
Get a saved visual
curl --request GET \
--url https://appsignal.com/api/v2/saved_visuals/{id}import requests
url = "https://appsignal.com/api/v2/saved_visuals/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://appsignal.com/api/v2/saved_visuals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://appsignal.com/api/v2/saved_visuals/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://appsignal.com/api/v2/saved_visuals/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://appsignal.com/api/v2/saved_visuals/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://appsignal.com/api/v2/saved_visuals/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "60f3b3b3b3b3b3b3b3b3b3b3",
"resolution": "HOURLY",
"value_format": "number",
"value_input": null,
"series": [
{
"color": "rgb(0,0,0)",
"name": "test",
"renderer": "line",
"data": [
{
"x": "2020-04-12T22:10:57Z",
"y": 1
}
]
}
]
}{
"error": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"error": "<string>"
}{
"error": "<string>",
"suggestion": "<string>"
}{
"error": "<string>"
}This endpoint needs no token, so you can embed a saved visual directly.
Path Parameters
Hex-encoded ObjectId of the saved visual.
Response
The saved visual.
JSON response representation of a saved visual (chart).
MongoDB ObjectId of the saved visual (hex-encoded).
Time resolution (e.g. "HOURLY", "MINUTELY").
Value format type (e.g. "number", "duration").
Optional input format specification; null when unset.
Data series contained in this visual.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get a saved visual
curl --request GET \
--url https://appsignal.com/api/v2/saved_visuals/{id}import requests
url = "https://appsignal.com/api/v2/saved_visuals/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://appsignal.com/api/v2/saved_visuals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://appsignal.com/api/v2/saved_visuals/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://appsignal.com/api/v2/saved_visuals/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://appsignal.com/api/v2/saved_visuals/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://appsignal.com/api/v2/saved_visuals/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "60f3b3b3b3b3b3b3b3b3b3b3",
"resolution": "HOURLY",
"value_format": "number",
"value_input": null,
"series": [
{
"color": "rgb(0,0,0)",
"name": "test",
"renderer": "line",
"data": [
{
"x": "2020-04-12T22:10:57Z",
"y": 1
}
]
}
]
}{
"error": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"error": "<string>"
}{
"error": "<string>",
"suggestion": "<string>"
}{
"error": "<string>"
}